Public Member Functions

# BinNavi.API.debug.Bookmark Class Reference

Represents a single memory bookmark. More...

Inherits BinNavi::APIHelpers::ApiObject< CBookmark >.

List of all members.

## Public Member Functions
void | addListener (final IBookmarkListener listener)
| Adds a bookmark listener.
Address | getAddress ()
| Address of the bookmark.
String | getDescription ()
| Description of the bookmark.
void | removeListener (final IBookmarkListener listener)
| Removes a bookmark listener.
void | setDescription (final String description)
| Changes the bookmark description.
String | toString ()
| Printable representation of the bookmark.

## Detailed Description

Represents a single memory bookmark. Memory bookmarks can be used to quickly navigate to a memory address in the memory panel of the GUI.

## Member Function Documentation

void BinNavi.API.debug.Bookmark.addListener | ( | final IBookmarkListener | listener | ) |

Adds an object that is notified about changes in the bookmark.

Parameters:

  | listener | The listener object that is notified about changes in the bookmark.

Address BinNavi.API.debug.Bookmark.getAddress | ( |  | ) |

Returns the address of the bookmark.

The address of a bookmark is guaranteed to be non-null.

Returns:
  The address of the bookmark.

String BinNavi.API.debug.Bookmark.getDescription | ( |  | ) |

Returns the description of the bookmark.

The description of a bookmark is guaranteed to be non-null.

Returns:
  The description of the bookmark.

void BinNavi.API.debug.Bookmark.removeListener | ( | final IBookmarkListener | listener | ) |

Removes a listener object from the bookmark.

Parameters:

  | listener | The listener object to remove from the bookmark.

void BinNavi.API.debug.Bookmark.setDescription | ( | final String | description | ) |

Changes the description of the bookmark.

Parameters:

  | description | The new description of the bookmark (must be non-null).

String BinNavi.API.debug.Bookmark.toString | ( |  | ) |

Returns a string representation of the bookmark.

Returns:
  A string representation of the bookmark.